# DarContact: Rob Caelers <robc@krandor.org>

Summary: A tool to recover from or prevent Repetitive Strain Injury.
Name: workrave
Version: 1.4.0
Release: 0.dag
License: GPL
Group: Applications/System
URL: http://workrave.sourceforge.net/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: ftp://ftp.sourceforge.net/pub/sourceforge/%{name}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

BuildRequires: libsigc++-devel, gnet2-devel, glib2-devel
BuildRequires: gtkmm2-devel

%description
Workrave is a program that assists in the recovery and prevention of
Repetitive Strain Injury (RSI). The program frequently alerts you to
take micro-pauses, rest breaks and restricts you to your daily limit.

%prep
%setup

%{__cat} <<EOF >%{name}.desktop
[Desktop Entry]
Name=Workrave RSI Prevention
Comment=Recover or prevent Repetitive Strain Injury.
Icon=workrave/workrave-icon-small.png
Exec=workrave
Terminal=false
Type=Application
EOF

%build
### FIXME: Workaround build-problems
#export CXXFLAGS="%{optflags} -I/usr/include/gconf/2"
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall
%find_lang %{name}

%{__install} -d -m0755 %{buildroot}%{_datadir}/applications
desktop-file-install --vendor gnome                \
	--add-category X-Red-Hat-Base              \
	--add-category Application                 \
	--add-category Utility                     \
	--dir %{buildroot}%{_datadir}/applications \
	%{name}.desktop

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%config %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_libexecdir}/*
%{_libdir}/bonobo/servers/*.server
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/pixmaps/workrave/
%{_datadir}/sounds/workrave/
%{_datadir}/workrave/

%changelog
* Mon Sep 08 2003 Dag Wieers <dag@wieers.com> - 1.4.0-0
- Updated to release 1.4.0.

* Wed Mar 26 2003 Dag Wieers <dag@wieers.com> - 1.2.2-0
- Updated to release 1.2.2. (using DAR)

* Fri Nov 01 2002 Dag Wieers <dag@wieers.com> - 1.0.0-0
- Updated to release 1.0.0.

* Wed Oct 30 2002 Dag Wieers <dag@wieers.com>
- Initial package.
